<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'data', language 'en_ar', version '2.2'.
 *
 * @package     data
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['atmaxentry'] = 'Ye have entered the maximum number of entries allowed!';
$string['cannotaccesspresentsother'] = 'Ye are not allowed to access presets from other users';
$string['chooseexportfields'] = 'Choose the fields ye wish to export:';
$string['chooseexportformat'] = 'Choose the format ye wish to export to:';
$string['configenablerssfeeds'] = 'This switch will enable the possibility of RSS feeds for all databases. Ye will still need to turn feeds on manually in the settings for each database.';
$string['confirmdeletefield'] = 'Ye are about to delete this field, are ye sure?';
$string['confirmdeleterecord'] = 'Are ye sure ye want to delete this entry?';
$string['data:viewrating'] = 'View the total rating ye received';
$string['deletecomment'] = 'Are ye sure ye want to delete this comment?';
$string['deletewarning'] = 'Are ye sure ye want to delete this preset?';
$string['emptyaddform'] = 'Ye did not fill out any fields!';
$string['entrieslefttoadd'] = 'Ye must add {$a->entriesleft} more entry/entries in order to complete this activity';
$string['entrieslefttoaddtoview'] = 'Ye must add {$a->entrieslefttoview} more entry/entries before ye can view other participants\' entries.';
$string['entrysaved'] = 'Yer entry has been saved';
$string['errormustbeteacher'] = 'Ye need to be a teacher to use this page!';
$string['exportaszip_help'] = 'The export as zip feature allows ye to save the templates and fields as a preset zip for download. The zip may then be imported to another course.';
$string['exportownentries'] = 'Export yer own entries only? ({$a->mine}/{$a->all})';
$string['fieldmappings_help'] = 'This menu allows ye to keep the data from the existing database. To preserve the data in a field, ye must map it to a new field, where the data will appear. Any field can also be left blank, with no infomation copied into it. Any old field not mapped to a new one will be lost and all it\'s data removed.
Ye can only map fields of the same type, so each dropdown will have different fields in it. Also, ye must be careful not to try and map one old field to more than one new field.';
$string['fieldnotmatched'] = 'The following fields in yer file are not known in this database: {$a}';
$string['fromfile_help'] = 'The import from zip file feature allows ye to browse for and upload a preset zip of templates and fields.';
$string['invalidurl'] = 'The URL ye just entered is not valid';
$string['missingfield'] = 'Programmer error: Ye must specify field and/or data when defining field class.';
$string['noaccess'] = 'Ye do not have access to this page';
$string['saveaspreset_help'] = 'The save as preset feature publishes the templates and fields as a preset which others on the site can then use. (Ye may delete it from the list of presets at any time.)';
$string['savesuccess'] = 'Saved successfully. Yer preset will now be available across the site.';
$string['usestandard_help'] = 'To use a preset available to the whole site, select it from the list. (If ye have added a preset to the list using the save as preset feature then ye have the option of deleting it.)';
