<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'backup', language 'en_ar', version '2.2'.
 *
 * @package     backup
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['automatedstoragehelp'] = 'Choose the location where ye want backups to be stored when they are automatically created.';
$string['cannotfindassignablerole'] = 'The {$a} role in the backup file cannot be mapped to any of the roles that ye are allowed to assign.';
$string['configloglifetime'] = 'This specifies the length of time ye want to keep backup logs information. Logs that are older than this age are automatically deleted. It is recommended to keep this value small, because backup logged information can be huge.';
$string['confirmcancelquestion'] = 'Are ye sure ye wish to cancel?
Any information ye have entered will be lost.';
$string['errorfilenamemustbezip'] = 'The filename ye enter must be a ZIP file and have the .mbz extension';
$string['errorfilenamerequired'] = 'Ye must enter a valid filename for this backup';
$string['lockedbypermission'] = 'Ye don\'t have sufficient permissions to change this setting';
$string['norestoreoptions'] = 'There are no categories or existing courses ye can restore to.';
$string['restoreexecutionsuccess'] = 'The course was restored successfully, clicking the continue button below will take ye to view the course ye restored.';
