<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'calendar', language 'en_ar', version '2.2'.
 *
 * @package     calendar
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['confirmeventdelete'] = 'Are ye sure ye want to delete this event?';
$string['explain_site_timeformat'] = 'Ye can choose to see times in either 12 or 24 hour format for the whole site. If ye choose "default", then the format will be automatically chosen according to the language ye use in the site. This setting can be overridden by user preferences.';
$string['invalidtimedurationminutes'] = 'The duration in minutes ye have entered is invalid. Please enter the duration in minutes greater than 0 or select no duration.';
$string['invalidtimedurationuntil'] = 'The date and time ye selected for duration until is before the start time of the event. Please correct this before proceeding.';
$string['pref_maxevents_help'] = 'This sets the maximum number of upcoming events that can be displayed. If ye pick a large number here it is possible that upcoming events displays will take up a lot of space on yer screen.';
$string['pref_persistflt_help'] = 'If this is enabled, then Moodle will remember yer last event filter settings and automatically restore them each time ye login.';
$string['pref_startwday_help'] = 'Calendar weeks will be shown as starting on the day that ye select here.';
$string['pref_timeformat_help'] = 'Ye can choose to see times in either 12 or 24 hour format. If ye choose "default", then the format will be automatically chosen according to the language ye use in the site.';
$string['preferences_available'] = 'Yer personal preferences';
$string['youcandeleteallrepeats'] = 'This event is part of a repeating event series. Ye can delete this event only, or all {$a} events in the series at once.';
